import request from '@/utils/request'

// 查询工作督导列表
export function listSupervision(query) {
  return request({
    url: '/system/supervision/list',
    method: 'get',
    params: query
  })
}

// 查询工作督导详细
export function getSupervision(supervisionId) {
  return request({
    url: '/system/supervision/' + supervisionId,
    method: 'get'
  })
}

// 新增工作督导
export function addSupervision(data) {
  return request({
    url: '/system/supervision',
    method: 'post',
    data: data
  })
}

// 修改工作督导
export function updateSupervision(data) {
  return request({
    url: '/system/supervision',
    method: 'put',
    data: data
  })
}

// 删除工作督导
export function delSupervision(supervisionId) {
  return request({
    url: '/system/supervision/' + supervisionId,
    method: 'delete'
  })
}

// 导出工作督导
export function exportSupervision(query) {
  return request({
    url: '/system/supervision/export',
    method: 'get',
    params: query
  })
}